Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.messages
Class KQMLMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.messages.ActMessage
              madkit.messages.KQMLMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class KQMLMessage

extends ActMessage

This class describes a KQML message. It provides accessors for all reserved fields defined in the KQML Specification. Note that the :receiver and :sender are automatically mapped to the MadKit AgentAddress.

Version:
  1.0
Author:
  Ol. Gutknecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class madkit.messages.ActMessage
`action, fields`

Constructor Summary
`KQMLMessage(java.lang.String performative)` Constructor for KQMLMessage class

Method Summary
`java.lang.String` | `getForce()`
`java.lang.String` | `getInReplyTo()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getOntology()`
`java.lang.String` | `getPerformative()`
`java.lang.String` | `getReplyWith()`
`static void` | `main(java.lang.String[] args)`
`void` | `setForce(java.lang.String s)`
`void` | `setInReplyTo(java.lang.String s)`
`void` | `setLanguage(java.lang.String s)`
`void` | `setOntology(java.lang.String s)`
`void` | `setReplyWith(java.lang.String s)`
`java.lang.String` | `toString()` Returns a debug string with enveloppe and content for the message

Methods inherited from class madkit.messages.ActMessage
`getAction, getContent, getFieldValue, getKeys, getObject, setContent, setField, setObject`

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KQMLMessage

    public KQMLMessage(java.lang.String performative)

  Constructor for KQMLMessage class

Method Detail

### getPerformative

    public java.lang.String getPerformative()

### getForce

    public java.lang.String getForce()

### setForce

    public void setForce(java.lang.String s)

### getReplyWith

    public java.lang.String getReplyWith()

### setReplyWith

    public void setReplyWith(java.lang.String s)

### getInReplyTo

    public java.lang.String getInReplyTo()

  Overrides:
    `getInReplyTo` in class `ActMessage`

### setInReplyTo

    public void setInReplyTo(java.lang.String s)

  Overrides:
    `setInReplyTo` in class `ActMessage`

### getLanguage

    public java.lang.String getLanguage()

### setLanguage

    public void setLanguage(java.lang.String s)

### getOntology

    public java.lang.String getOntology()

### setOntology

    public void setOntology(java.lang.String s)

### toString

    public java.lang.String toString()

  Description copied from class: `Message`
  Returns a debug string with enveloppe and content for the message

  Overrides:
    `toString` in class `Message`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.